Bug 1476382 - dnf autoremove and dependencys - libsolv
dnf autoremove and dependencys - libsolv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 14:51 EDT by Andre Dierker
Modified: 2017-07-28 15:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 15:13:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf dependencies (164.04 KB, image/png)
2017-07-28 14:51 EDT, Andre Dierker
no flags Details
dnf doing crazy things (48.82 KB, image/png)
2017-07-28 14:52 EDT, Andre Dierker
no flags Details

  None (edit)
Description Andre Dierker 2017-07-28 14:51:40 EDT
Created attachment 1306006 [details]
dnf dependencies

Description of problem:

dnf should never kill a running system or remove core-features like samba-client

Version-Release number of selected component (if applicable):

dnf --version
2.6.2
  Installed: dnf-0:2.6.2-1.fc26.noarch at Fri 28 Jul 2017 16:26:44 GMT
  Built    : Fedora Project at Mon 24 Jul 2017 14:08:42 GMT

  Installed: rpm-0:4.13.0.1-5.fc26.x86_64 at Fri 28 Jul 2017 16:25:22 GMT
  Built    : Fedora Project at Tue 27 Jun 2017 08:17:41 GMT


How reproducible:

remove software via dnf. Several cases happend here.

Steps to Reproduce:

1. dnf remove BackupPC
2. type -y
3. 

Actual results:

dnf removes samba-client

➜  ~ dnf remove BackupPC
Dependencies resolved.
===============================================================================
 Package                            Arch                  Version                         Repository                    Size
===============================================================================
Removing:
 BackupPC                           x86_64                4.1.3-2.fc26                    @@commandline                2.9 M
 rrdtool                            x86_64                1.6.0-8.fc26                    @@commandline                1.1 M
Removing unused dependencies:
 BackupPC-XS                        x86_64                0.56-1.fc26                     @@commandline                226 k
 libdbi                             x86_64                0.9.0-7.fc26                    @@commandline                111 k
 par2cmdline                        x86_64                0.6.14-4.fc26                   @@commandline                249 k
 perl-Time-ParseDate                noarch                2015.103-4.fc26                 @@commandline                 70 k
 rsync-bpc                          x86_64                3.0.9.8-1.fc26                  @@commandline                567 k
 samba-client                       x86_64                2:4.6.5-0.fc26                  @@commandline                1.9 M

Transaction Summary
=============================================================================================================================
Remove  8 Packages

Freed space: 7.1 M
Is this ok [y/N]: 
Operation aborted.



Expected results:

Core-features or running elements should be pinned or something

Additional info:


* some pictures
* dnf killed my running system (I wanted to see what happens). My desktop was running under KDM (don't ask why). See below.

➜  ~ dnf remove f23*
Packages Altered:
 ** Erase f23-backgrounds-base-23.1.0-3.fc26.noarch  @@commandline
    Erase f23-backgrounds-gnome-23.1.0-3.fc26.noarch @@commandline
    Erase f23-backgrounds-kde-23.1.0-3.fc26.noarch   @@commandline
    Erase f23-kde-theme-23.0-7.fc26.noarch           @@commandline
    Erase f23-kdm-theme-23.0-7.fc26.noarch           @@commandline
 ** Erase kdm-1:4.11.22-17.fc26.x86_64               @fedora
 ** Erase kdm-settings-1:4.11.22-17.fc26.noarch      @fedora
 ** Erase kgreeter-plugins-1:4.11.22-17.fc26.x86_64  @fedora
Comment 1 Andre Dierker 2017-07-28 14:52 EDT
Created attachment 1306008 [details]
dnf doing crazy things
Comment 2 Igor Gnatenko 2017-07-28 15:13:50 EDT
this is completely expected. if you remove something what was required by something else, it will be removed as well.
Comment 3 Andre Dierker 2017-07-28 15:17:13 EDT
Have you seen the pictures in the attatchments?
Comment 4 Igor Gnatenko 2017-07-28 15:33:20 EDT
dnf mark install samba-client.

Note You need to log in before you can comment on or make changes to this bug.